cascading.flow.planner.rule.transformer

## Class IntermediateTapElementFactory

- java.lang.Object
- - cascading.flow.planner.rule.transformer.IntermediateTapElementFactory

All Implemented Interfaces:
  ElementFactory

Direct Known Subclasses:
  FlowPlanner.TempTapElementFactory

    public abstract class IntermediateTapElementFactory
    extends Object
    implements ElementFactory

### Field Summary

Fields
`static String` `ACCUMULATED_TAP`
`static String` `TEMP_TAP`

### Constructor Summary

Constructors
Constructor and Description
`IntermediateTapElementFactory()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface cascading.flow.planner.iso.transformer.ElementFactory

`create`

### Field Detail

#### TEMP_TAP

    public static final String TEMP_TAP

See Also:
  Constant Field Values

#### ACCUMULATED_TAP

    public static final String ACCUMULATED_TAP

See Also:
  Constant Field Values

### Constructor Detail

#### IntermediateTapElementFactory

    public IntermediateTapElementFactory()